Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012513ScribusUsabilitypublic2014-07-13 12:562015-05-14 01:43
ReporterPeterBenedek 
Assigned Tofschmid 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSLinux Mint OS Version17 (32bit)
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0012513: Signitficant data-entry speed issue when the page contains a shaded object
DescriptionIf the page contains a shaded object in the text input speed decreases dramatically.

The "m" key constantly kept.

Link this video: https://www.dropbox.com/s/33yj0del8y422ru/TextSpeed.avi [^]
TagsNo tags attached.
PatchNo
Attached Files? file icon Bildanleitung_Infusion_kurzfassung.sla [^] (32,603 bytes) 2014-09-13 15:28

- Relationships
has duplicate 0012483closedfschmid Editing becomes very slow when there is a dropshadow 
has duplicate 0012617closedfschmid Scribus slows down after applying drop shadow to image frames 
child of 0012505acknowledgedfschmid Metabug: Drop Shadow (1.5.0.svn) 
child of 0002438acknowledged Metabug: Cases of extreme memory use 

-  Notes
(0032715)
Kunda (manager)
2014-07-13 15:17
edited on: 2014-07-13 16:28

This issue is reproducible on 10.8.5 1.5svn r19342
Note: Before I updated to r19342 which included fschmid fix for 0012336, this phenomena presented in this issue on OSX 10.8.5 was even worse. The canvas would not update for up to 5 sec. at a time. This problem makes using Scribus pretty frustrating.

[EDIT] Reworded issue name for more clarity. Great bug report.

(0032722)
PeterBenedek (reporter)
2014-07-13 18:00

Thank you to language support!
(0033651)
JLuc (developer)
2014-09-12 17:36

Even after the created dropshadow has been edited off (no dropshadow exists anymore in the document), scribus keeps using 100% of one CPU.
(0033662)
Kunda (manager)
2014-09-13 15:29
edited on: 2014-09-13 15:31

Merging 0012617
Comments:
I experienced a massive slowdown of scribus after applying drop shadows to various image frames in the document attatched ( Bildanleitung_Infusion_kurzfassung.sla). Every single action causes scribus to be unresponsive for several seconds.

(0034006)
Kunda (manager)
2014-10-14 03:37

This should really be a blocker but we need to release 1.5.0 soon.
(0034974)
Kunda (manager)
2015-04-26 18:30

Reminder sent to: fschmid

Franz, is this something you can consider fixing before 1.5 release ?
(0035013)
fschmid (administrator)
2015-05-02 12:04

The shade of shaded Objects is now only drawn when not in editing mode.
(0035014)
Kunda (manager)
2015-05-02 18:19

Thanks Franz, Thing is I'm getting some regression behavior with dropshadows. Instead of the text getting it, it's dropshadowing the text frame see: https://www.dropbox.com/s/hwxp8se0bde5q9n/Screenshot%202015-05-02%2011.19.09.png?dl=0 [^]
(0035021)
Kunda (manager)
2015-05-05 00:23

Craig just pointed out to me that it's not a regression. the background of the text frame needs to be white and not transparent to for it to work. Hmm.. not intuitive for most users to understand this.
(0035085)
christoph_s (administrator)
2015-05-10 22:40

Tested, fixed. Thanks.
(0035118)
Kunda (manager)
2015-05-14 01:43

assigned Target 1.5.0

- Issue History
Date Modified Username Field Change
2014-07-13 12:56 PeterBenedek New Issue
2014-07-13 14:32 Kunda Relationship added child of 0012505
2014-07-13 15:17 Kunda Note Added: 0032715
2014-07-13 15:17 Kunda Status new => confirmed
2014-07-13 15:18 Kunda Assigned To => fschmid
2014-07-13 15:18 Kunda Status confirmed => assigned
2014-07-13 15:18 Kunda Severity minor => major
2014-07-13 15:36 Kunda Target Version => 1.5.1
2014-07-13 16:26 Kunda Summary Slow down the text when the page contains a shaded object => Signitficant data-entry speed issue when the page contains a shaded object
2014-07-13 16:28 Kunda Note Edited: 0032715 View Revisions
2014-07-13 16:33 Kunda Relationship added has duplicate 0012483
2014-07-13 18:00 PeterBenedek Note Added: 0032722
2014-09-12 17:36 JLuc Note Added: 0033651
2014-09-13 15:28 Kunda File Added: Bildanleitung_Infusion_kurzfassung.sla
2014-09-13 15:29 Kunda Note Added: 0033662
2014-09-13 15:29 Kunda Relationship added related to 0002438
2014-09-13 15:31 Kunda Note Edited: 0033662 View Revisions
2014-09-13 15:32 Kunda Relationship added has duplicate 0012617
2014-09-13 15:37 Kunda Relationship replaced child of 0002438
2014-10-14 03:37 Kunda Note Added: 0034006
2015-04-26 18:30 Kunda Note Added: 0034974
2015-05-02 12:04 fschmid Note Added: 0035013
2015-05-02 12:04 fschmid Status assigned => resolved
2015-05-02 12:04 fschmid Fixed in Version => 1.5.0svn
2015-05-02 12:04 fschmid Resolution open => fixed
2015-05-02 18:19 Kunda Note Added: 0035014
2015-05-05 00:23 Kunda Note Added: 0035021
2015-05-10 22:40 christoph_s Note Added: 0035085
2015-05-10 22:40 christoph_s Status resolved => closed
2015-05-14 01:43 Kunda Patch => No
2015-05-14 01:43 Kunda Note Added: 0035118
2015-05-14 01:43 Kunda Target Version 1.5.1 => 1.5.0



Copyright © 2000 - 2015 MantisBT Team
Powered by Mantis Bugtracker